Bug 29601 - The list download option ISBD is useless when you cleared OPACISBD
Summary: The list download option ISBD is useless when you cleared OPACISBD
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29609
  Show dependency treegraph
 
Reported: 2021-11-30 14:48 UTC by Marcel de Rooy
Modified: 2021-12-22 21:37 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
22.05,21.11.01,21.05.08


Attachments
Bug 29601: Lists: Test OPACISBD before showing ISBD download (2.12 KB, patch)
2021-11-30 14:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29601: Lists: Test OPACISBD before showing ISBD download (2.13 KB, patch)
2021-12-01 12:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29601: Lists: Test OPACISBD before showing ISBD download (2.20 KB, patch)
2021-12-01 14:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2021-11-30 14:48:15 UTC
Template just contains:

<a role="menuitem" class="dropdown-item download-list" data-format="isbd" href="#">ISBD</a>

We c/should test OPACISBD here?
Comment 1 Marcel de Rooy 2021-11-30 14:53:12 UTC
Note that the option is not even listed on the staff counterpart.
Comment 2 Marcel de Rooy 2021-11-30 14:54:29 UTC
Created attachment 128107 [details] [review]
Bug 29601: Lists: Test OPACISBD before showing ISBD download

Test plan:
Check if you see Download/ISBD for a list on OPAC.
Clear OPACISBD.
Check if the link is gone.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Marcel de Rooy 2021-11-30 14:54:51 UTC
More than trivial: self signoff
Comment 4 Owen Leonard 2021-12-01 12:50:40 UTC
Created attachment 128125 [details] [review]
Bug 29601: Lists: Test OPACISBD before showing ISBD download

Test plan:
Check if you see Download/ISBD for a list on OPAC.
Clear OPACISBD.
Check if the link is gone.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Jonathan Druart 2021-12-01 14:11:09 UTC
Created attachment 128128 [details] [review]
Bug 29601: Lists: Test OPACISBD before showing ISBD download

Test plan:
Check if you see Download/ISBD for a list on OPAC.
Clear OPACISBD.
Check if the link is gone.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2021-12-01 14:12:03 UTC
I felt down a rabbit hole and opened bug 29609.
Comment 7 Fridolin Somers 2021-12-03 07:01:29 UTC
Pushed to master for 22.05, thanks to everybody involved!
Comment 8 Marcel de Rooy 2021-12-03 07:27:37 UTC
(In reply to Fridolin Somers from comment #7)
> Pushed to master for 22.05, thanks to everybody involved!

Where to ?
Comment 9 Marcel de Rooy 2021-12-03 07:34:48 UTC
(In reply to Marcel de Rooy from comment #8)
> (In reply to Fridolin Somers from comment #7)
> > Pushed to master for 22.05, thanks to everybody involved!
> 
> Where to ?

Found it. Test was still running..
Comment 10 Kyle M Hall 2021-12-03 15:19:01 UTC
Pushed to 21.11.x for 21.11.01
Comment 11 Andrew Fuerste-Henry 2021-12-17 19:20:48 UTC
Pushed to 21.05.x for 21.05.08
Comment 12 Victor Grousset/tuxayo 2021-12-22 21:37:05 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.